qtsvg-opensource-src (5.15.17-3) unstable; urgency=medium

  * Drop dbus build-dependency (closes: #1122710).
  * Update debian/watch to version 5.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 30 Dec 2025 23:58:19 +0300

qtsvg-opensource-src (5.15.17-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 01 Sep 2025 23:04:15 +0300

qtsvg-opensource-src (5.15.17-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.17.
  * Bump Standards-Version to 4.7.2, no changes needed.
  * Remove Qt_5.x symbols from the symbols files.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 07 Jul 2025 11:42:12 +0300

qtsvg-opensource-src (5.15.15-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Oct 2024 12:46:45 +0300

qtsvg-opensource-src (5.15.15-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.15.
  * Bump Standards-Version to 4.7.0, no changes needed.
  * Drop CVE-2023-32573.diff, included in the new release.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 06 Sep 2024 12:16:39 +0300

qtsvg-opensource-src (5.15.13-2) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove myself from Uploaders.

  [ Dmitry Shachnev ]
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 21 May 2024 18:52:11 +0300

qtsvg-opensource-src (5.15.13-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.13.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 10 Mar 2024 23:50:12 +0300

qtsvg-opensource-src (5.15.12-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.12.
  * Refresh debian/patches/CVE-2023-32573.diff.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Dec 2023 19:50:39 +0300

qtsvg-opensource-src (5.15.10-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jul 2023 19:18:14 +0300

qtsvg-opensource-src (5.15.10-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.10.
  * Stop providing the virtual ABI package.
    - Not needed since we removed libqt5svg5-private-dev in 5.5.1-1.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 10 Jun 2023 21:53:38 +0300

qtsvg-opensource-src (5.15.9-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.9.
  * Bump ABI version to 5-15-9.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 22 Apr 2023 23:59:41 +0300

qtsvg-opensource-src (5.15.8-3) unstable; urgency=medium

  * Backport upstream commit to initialize QSvgFont::m_unitsPerEm
    (CVE-2023-32573).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 21 May 2023 19:06:01 +0300

qtsvg-opensource-src (5.15.8-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 12:02:12 +0400

qtsvg-opensource-src (5.15.8-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.8.
  * Bump ABI version to 5-15-8.
  * Drop CVE-2021-45930.diff, included in the new release.
  * Refresh reject_oversize_svgs.diff.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 06 Jan 2023 12:46:22 +0400

qtsvg-opensource-src (5.15.7-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 18:20:34 +0300

qtsvg-opensource-src (5.15.7-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on dpkg-dev and pkg-kde-tools.
    + libqt5svg5: Drop versioned constraint on dpkg in Pre-Depends.
    + libqt5svg5-dev: Drop versioned constraint on dpkg in Pre-Depends.
    + qtsvg5-examples: Drop versioned constraint on dpkg in Pre-Depends.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.15.7.
  * Bump ABI version to 5-15-7.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 04 Dec 2022 20:45:26 +0300

qtsvg-opensource-src (5.15.6-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:55:49 +0300

qtsvg-opensource-src (5.15.6-1) experimental; urgency=medium

  * New upstream release.
  * Refresh debian/patches/CVE-2021-45930.diff.
  * Bump Qt build-dependencies to 5.15.6.
  * Bump ABI version to 5-15-6.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 11 Sep 2022 21:37:38 +0300

qtsvg-opensource-src (5.15.5-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.5.
  * Bump ABI version to 5-15-5.
  * Mark one symbol as optional to fix build with LTO (closes: #1015643).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 27 Jul 2022 00:24:17 +0300

qtsvg-opensource-src (5.15.4-2) unstable; urgency=medium

  * Use symver directive to catch all private symbols at once.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 21:36:55 +0300

qtsvg-opensource-src (5.15.4-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.4.
  * Bump ABI version to 5-15-4.
  * Drop CVE-2021-3481.diff, included in the new release.
  * Refresh debian/patches/reject_oversize_svgs.diff.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 May 2022 13:39:56 +0300

qtsvg-opensource-src (5.15.3-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch.
  * Bump Qt build-dependencies to 5.15.3.
  * Bump ABI version to 5-15-3.
  * Refresh debian/patches/CVE-2021-3481.diff.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 05 Mar 2022 22:01:03 +0300

qtsvg-opensource-src (5.15.2-4) unstable; urgency=medium

  * Backport upstream commit to do stricter error checking when parsing path
    nodes (CVE-2021-45930, closes: #1002991).
  * Backport upstream commit to reject oversize SVGs as corrupt.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 09 Jan 2022 16:26:35 +0300

qtsvg-opensource-src (5.15.2-3) unstable; urgency=medium

  * Backport upstream commits to fix out of bounds read in QRadialFetchSimd
    function (CVE-2021-3481, closes: #986798).
  * Update debian/watch to track only 5.15.x releases.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 12 Apr 2021 20:58:31 +0300

qtsvg-opensource-src (5.15.2-2) unstable; urgency=medium

  * Update debian/libqt5svg5.symbols from buildds’ logs.
  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:32:24 +0300

qtsvg-opensource-src (5.15.2-1) experimental; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints.
    + qtsvg5-doc, qtsvg5-doc-html: Add Multi-Arch: foreign.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.15.2.
  * Bump ABI version to qtsvg-abi-5-15-2.
  * Stop adding -Wl,--as-needed to LDFLAGS, it is default in Bullseye.
  * Build-depend only on the needed documentation tools, not on the
    large qttools5-dev-tools package.
  * Update debian/copyright.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 22 Nov 2020 21:32:24 +0300

qtsvg-opensource-src (5.15.1-2) unstable; urgency=medium

  * Update debian/libqt5svg5.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2020 21:54:13 +0300

qtsvg-opensource-src (5.15.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.1.
  * Update to debhelper compat level 13.
    - Drop dh_missing override, --fail-missing is now default behavior.
    - Use ${DEB_HOST_MULTIARCH} substitution in the install files.
  * Bump ABI version to qtsvg-abi-5-15-1.
  * Update debian/copyright.
  * Update debian/libqt5svg5.symbols from the current build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 15 Sep 2020 16:11:12 +0300

qtsvg-opensource-src (5.14.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 11:40:15 +0300

qtsvg-opensource-src (5.14.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 5.14.2.
  * Bump ABI version to qtsvg-abi-5-14-2.
  * Remove build path from libQt5Svg.prl for reproducibility.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 03 May 2020 20:35:05 +0300

qtsvg-opensource-src (5.14.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.14.1.
  * Bump ABI version to qtsvg-abi-5-14-1.
  * Update debian/libqt5svg5.symbols from the current build log.
  * Update to debhelper compat level 12, use the new syntax.
  * Bump Standards-Version to 4.5.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 20 Feb 2020 16:53:58 +0300

qtsvg-opensource-src (5.12.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Oct 2019 23:18:22 +0300

qtsvg-opensource-src (5.12.5-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.5.
  * Bump ABI version to qtsvg-abi-5-12-5.
  * Update debian/libqt5svg5.symbols for GCC 9 changes.
  * Bump Standards-Version to 4.4.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 17 Oct 2019 00:00:28 +0300

qtsvg-opensource-src (5.12.4-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.4.
  * Mark one symbol as optional to fix FTBFS with GCC 9 (closes: #925815).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 25 Jun 2019 14:03:25 +0300

qtsvg-opensource-src (5.12.3-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Update packaging to use doc-base as per policy 9.10.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.12.3.
  * Add Build-Depends-Package field to debian/libqt5svg5.symbols.
  * Simplify debian/rules by using debian/not-installed file.
  * Add one new symbol to debian/libqt5svg5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 07 May 2019 21:49:01 +0300

qtsvg-opensource-src (5.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.2.
  * Remove code to fix permissions in examples, no longer needed.
  * Update debian/libqt5svg5.symbols from the current build log.
  * Bump qtsvg-abi version to 5-12-2.
  * Update Homepage URL.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 23 Mar 2019 19:04:36 +0300

qtsvg-opensource-src (5.11.3-3) unstable; urgency=medium

  * Remove one inline symbol to fix FTBFS with GCC 9 (closes: #925815).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 16 Aug 2019 21:40:01 +0300

qtsvg-opensource-src (5.11.3-2) unstable; urgency=medium

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Dec 2018 17:12:34 -0300

qtsvg-opensource-src (5.11.3-1) experimental; urgency=medium

  * New upstream release. This fixes CVE-2018-19869: Fix crash when parsing
    malformed url reference.
    - Bump Qt build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 13 Dec 2018 19:30:49 -0300

qtsvg-opensource-src (5.11.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 16 Oct 2018 20:46:16 +0300

qtsvg-opensource-src (5.11.2-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/libqt5svg5.symbols from buildds’ logs.
  * Bump Qt build-dependencies to 5.11.2.
  * Drop the no longer needed hack to fix wrong path in pkgconfig files.
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 29 Sep 2018 11:39:48 +0300

qtsvg-opensource-src (5.11.1-2) unstable; urgency=medium

  * Upload to Sid.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 25 Jul 2018 04:49:32 -0500

qtsvg-opensource-src (5.11.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-version to 4.1.4, no changes needed.
  * Make the debhelper depend 11, not 11~.
  * Remove the dbgsym migration section of debian/rules; it isn't needed
    anymore.
  * Bump build dependencies to 5.11.1.
  * Update symbols from amd64 build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 24 Jun 2018 13:59:20 -0500

qtsvg-opensource-src (5.10.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Apr 2018 20:26:23 -0300

qtsvg-opensource-src (5.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump debhelper compat to 11, no changes needed.
  * Bump Standards-version to 4.1.3, no changes needed.
  * Bump build dependencies to Qt 5.10.1.
  * Update Vcs-* to reflect the move to Salsa.
  * Add my name to Uploaders.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sun, 11 Mar 2018 01:19:57 -0600

qtsvg-opensource-src (5.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch for the new upstream tarball names.
  * Bump Qt build-dependencies to 5.10.0.
  * Update debian/copyright.
  * Update debian/libqt5svg5.symbols with two new symbols.
  * Bump Standards-Version to 4.1.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 15 Dec 2017 11:59:43 +0300

qtsvg-opensource-src (5.9.2-3) unstable; urgency=medium

  * Do not call qmake directly anymore.
    Require debhelper >= 10.9.2~ (Closes: #880930).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 03 Dec 2017 13:13:59 -0300

qtsvg-opensource-src (5.9.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 26 Oct 2017 16:49:09 +0300

qtsvg-opensource-src (5.9.2-1) experimental; urgency=medium

  * New upstream bugfix release.
  * Bump Qt build-dependencies to 5.9.2.
  * Use debhelper compat level 10 and dh_missing.
  * Bump Standards-Version to 4.1.1, stop using deprecated Priority: extra.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 20 Oct 2017 16:11:30 +0300

qtsvg-opensource-src (5.9.1-2) unstable; urgency=medium

  * Release to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 16 Aug 2017 14:20:31 -0300

qtsvg-opensource-src (5.9.1-1) experimental; urgency=medium

  * New upstream bugfix release.
  * Migrate to automatic dbgsym packages.
  * Add support for nodoc build profile.
  * Bump qtbase build-dependencies to 5.9.1.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 01 Jul 2017 16:09:17 +0300

qtsvg-opensource-src (5.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.9.0.
  * Update debian/libqt5svg5.symbols.
  * Drop unused Lintian override about ABI package dependency.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 08 Jun 2017 21:49:57 +0300

qtsvg-opensource-src (5.7.1~20161021-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 01 Nov 2016 15:10:10 +0300

qtsvg-opensource-src (5.7.1~20161021-1) experimental; urgency=medium

  * New upstream snapshot.
    - Bump Qt build dependencies.
  * Remove fix_qicon_test.diff, it's already present upstream.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Oct 2016 17:54:16 -0300

qtsvg-opensource-src (5.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.7.0.
  * Replace disable_qicon_test.diff patch with (forwarded) fix_qicon_diff,
    which fixes the test instead of disabling it.
  * Update debian/copyright.
  * Add Qt_5.7 version tag to debian/libqt5svg5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 09 Jul 2016 20:24:03 +0300

qtsvg-opensource-src (5.6.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 13 Jun 2016 11:15:41 -0300

qtsvg-opensource-src (5.6.1-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Update Standards-Version to 3.9.8, no changes required.
  * Add qtbase5-dev to build dependencies. It is currently pulled in by
    qtbase5-private-dev, but having it listed means that this package
    will not transition before qtbase itself.
  * Remove fix_install_path.diff, it is already applied upstream.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 12 Jun 2016 11:03:18 -0300

qtsvg-opensource-src (5.6.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.6.0.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 26 Mar 2016 22:50:24 +0100

qtsvg-opensource-src (5.6.0~beta-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream beta release.
    - Bump Qt build dependencies.

  [ Dmitry Shachnev ]
  * Stop running pkgkde-mark-qt5-private-symbols script during build. The new
    way is that the maintainers run it themselves after each symbols update.
    Also drop the associated hack to move the private headers from debian/tmp.
  * Add fix_install_path.diff from Fedora to fix installation path for example
    SVG files.
  * Update symbols files using migrate-symbols script and from the build log.
  * Bump qtsvg-abi version to 5-6-0.
  * Override symbols-declares-dependency-on-other-package Lintian warning.
  * Use secure protocol (https) for Vcs-* fields.
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 20 Feb 2016 21:53:40 +0300

qtsvg-opensource-src (5.5.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 21 Oct 2015 21:47:17 -0300

qtsvg-opensource-src (5.5.1-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove libqt5svg5-private-dev. Nothing in the stack is using it and
    according to dak there are no rdeps (Closes: #790769).

  [ Dmitry Shachnev ]
  * Move private headers to a temporary directory so that we can really
    mark them (based on code in qtmultimedia).
  * New upstream release.
  * Bump Qt build-dependencies to 5.5.1.
  * Make BSD-3-clause license text match upstream header.BSD more closely.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 18 Oct 2015 22:00:37 +0300

qtsvg-opensource-src (5.5.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.5.0.
  * Update debian/copyright.
  * Do not run tests during arch-indep builds.
  * Remove symbols that are missing with GCC 5.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 27 Aug 2015 19:38:37 +0300

qtsvg-opensource-src (5.4.2-3) unstable; urgency=medium

  * Remove symbols that are missing with GCC 5 (to fix a build
    failure).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 27 Aug 2015 20:15:55 +0300

qtsvg-opensource-src (5.4.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 24 Jun 2015 18:40:03 -0300

qtsvg-opensource-src (5.4.2-1) experimental; urgency=medium

  [ Timo Jyrinki ]
  * Update debian/copyright.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Clear up the list in Uploaders removing people who hasn't committed to the
    repo in more than a year. They can re add themselves whenever they want
    (and we really hope to see you back really soon!).
  * Use pkgkde-mark-private-symbols from pkg-kde-tools' 0.15.17.
    - Remove relevant debian/copyright entry.
  * Expose HTML documentation (Closes: #751184).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 03 Jun 2015 18:50:10 -0300

qtsvg-opensource-src (5.4.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.4.1.
  * Update watch file to qt.io
  * Mark symbols missing with GCC 5 as optional (Closes: #778094).
  * debian/mark-private-symbols.sh:
    - Strip trailing colon from symbols names.
    - Unmark private symbols before processing them.

 -- Timo Jyrinki <timo@debian.org>  Wed, 04 Mar 2015 09:47:42 +0000

qtsvg-opensource-src (5.4.0-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * New upstream release.
  * Bump Qt build-dependencies to 5.4.0.
  * Build-depend on qtbase5-doc-html, for linking docs.
  * Update debian/copyright.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Update Vcs-Browser field to use cgit interface.
  * Update ABI version (qtsvg-abi-5-4-0).
  * Re-enable running tests during build.
  * Add myself to Uploaders.

  [ Timo Jyrinki ]
  * Update libqt5svg5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 26 Dec 2014 13:41:30 +0300

qtsvg-opensource-src (5.3.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 23 Sep 2014 00:12:47 -0300

qtsvg-opensource-src (5.3.2-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Set QT_QPA_PLATFORM=minimal when running tests, so that they
    can be run without Xvfb.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
  * Bump Qt build dependencies.
  * Update symbols files with buildd's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 19 Sep 2014 00:17:23 -0300

qtsvg-opensource-src (5.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.
  * Disable test until we get the transition sorted. Yes, ugly hack.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 02 Jul 2014 17:29:48 -0300

qtsvg-opensource-src (5.3.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 06 Jun 2014 16:06:44 -0300

qtsvg-opensource-src (5.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.
  * Change header's path in install files. Mark development packages as
    Multi-Arch: same.
  * Make libqt5svg5 provide qtsvg-abi-5-3-0 to track private symbols.
    - Modify symbols file for letting the tracking work.
    - Create mark_private_symbols.sh to mark the private symbols.
    - Run mark_private_symbols.sh after dh_makeshlibs.
    - Mark private symbols as such.
    - Add the script to debian/copyright.
  * Do not override dh_builddeb anymore, xz compression is now the default
    method.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 26 May 2014 13:15:53 -0300

qtsvg-opensource-src (5.2.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 24 Mar 2014 23:58:57 -0300

qtsvg-opensource-src (5.2.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build dependencies.
  * Update symbols files with buildd's logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 19 Feb 2014 19:39:03 -0300

qtsvg-opensource-src (5.2.0-3) unstable; urgency=medium

  * Upload to unstable.
  * Update symbols files with buildd's logs.
  * Move mkspec files to their new location.
    - B-D on qtbase5-private-dev 5.2.0+dfsg-7 which changed the location.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 31 Jan 2014 18:08:42 -0300

qtsvg-opensource-src (5.2.0-2) experimental; urgency=low

  [ Pino Toscano ]
  * Update symbols file.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump qtbase4 build dependency to 5.2.0+dfsg-5, so as to get the fix for
    sparc's FTBFS.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 03 Jan 2014 09:48:54 -0300

qtsvg-opensource-src (5.2.0-1) experimental; urgency=low

  [ Dmitry Shachnev ]
  * New upstream release.
  * Update qtbase build-dependencies to 5.2.0.
  * Explicitly define DEB_HOST_MULTIARCH in debian/rules.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Update symbols files with buildds' and current logs.
  * Update install files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 13 Dec 2013 13:19:33 -0300

qtsvg-opensource-src (5.1.1-3) unstable; urgency=low

  * Enable tests. Thanks Michael Terry from Ubuntu for the patch
   (Closes: 722718).
  * Update symbols file.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 24 Oct 2013 20:40:40 -0300

qtsvg-opensource-src (5.1.1-2) unstable; urgency=low

  * Tighten Qt 5 build dependencies.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 30 Aug 2013 23:11:49 -0300

qtsvg-opensource-src (5.1.1-1) unstable; urgency=low

  * New upstream release.
  * Update symbols file with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 30 Aug 2013 17:49:40 -0300

qtsvg-opensource-src (5.1.0-2) unstable; urgency=low

  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 11 Aug 2013 13:19:46 -0300

qtsvg-opensource-src (5.1.0-1) experimental; urgency=low

  * New upstream release.
  * Fix watch file.
  * Update symbols file.
  * Bump Qt build dependencies to 5.1.0~.
  * Adjust install files.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 11 Jul 2013 22:23:47 -0300

qtsvg-opensource-src (5.0.2-3) experimental; urgency=low

  * Build the documentation shipped with this submodule as a build-indep task:
    - Add the necessary indep build dependencies:
      * qttools5-dev-tools to use qhelpgenerator.
      * libqt5sql5-sqlite to generate qch doc.
    - Build and create packages for qch and HTML doc formats.
  * Update symbols file.
  * Make qtsvg5-dbg M-A same to allow coinstalability.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 20 Jun 2013 19:23:06 -0300

qtsvg-opensource-src (5.0.2-2) experimental; urgency=low

  [ Pino Toscano ]
  * Update symbols file.
  * Update Vcs-Browser header.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 29 Apr 2013 09:26:26 -0300

qtsvg-opensource-src (5.0.2-1) experimental; urgency=low

  * Initial release (Closes: #697509).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 22 Apr 2013 15:06:06 -0300
